import React, { useState } from 'react'
import { Redirect } from 'react-router-dom';
import './Home.css'

function Home() {
    const [name, setName] = useState('')
    const [done, setDone] = useState(false)

    const handleChange = (event) => {
        setName(event.target.value)
    }

    function checking(event) {
        if (!name) {
            alert('이름을 입력하세요')
        }
        else {
            alert('입력하신 이름은' + name + '입니다.')
            localStorage.setItem('name', name)
            setDone(true)
        }
    }

    return (
        <>
            {done ? <Redirect to='/quiz' /> : ''}
            <div className="Main">
            {/* <div className="Main"></div> */}

                <div className="Box">
                    <div className="Name">
                        이름을 입력하세요
                        <input className="input-style" onChange={handleChange} />
                        <div className='Box2'>
                            <button className="QuizStart" onClick={checking}>Quiz Start !</button>
                        </div>
                    </div>
                    {/* localStorage를 사용해야는지 localstorage를 사용해야하는지 */}
                </div>

                <div>계산수학</div>


            </div>
        </>

    )
}

export default Home;

